:root {
  --vermelho: #8B0000;
  --preto: #111111;
  --dourado: #C9A24D;
  --branco: #ffffff;
  
/* === Tema Dark === */
  /* Brand */
  --color-primary: #D4AF37; /* Dourado Luxo */
  --color-dark: #0E0F13;
  --color-darker: #020617;
  --color-navy: #111827;

  /* Body */
  --body-bg: #0E0F13;
  --body-text: #E5E7EB;
  --body-text-muted: #9CA3AF;

  /* Navbar */
  --navbar-bg: #111827;
  --navbar-text: #F9FAFB;
  --navbar-link-hover: #D4AF37;
  --navbar-close:#666666;

  /* Cards */
  --card-bg: #1F2933;
  --card-border: #2D3748;
  --card-title: #F9FAFB;
  --card-text: #9CA3AF;
  --card-accent: #D4AF37;
  --card-bg-destaque:#111827;
  --card-text-destaque:#9CA3AF;
  
    /* Botões */
  --btn-whatsapp:#202C33;
  --btn-whatsapp-text:#E9EDEF;

  /* Newsletter */
  --newsletter-bg: #C9A24D;
  --newsletter-text: #F9FAFB;
  --newsletter-input-bg: #111827;
  --newsletter-btn-bg: #111827;
  --newsletter-btn-hover: #000000;

  /* Footer */
  --footer-bg: #020617;
  --footer-text: #9CA3AF;
  --footer-link: #E5E7EB;
  --footer-link-hover: #D4AF37;

  /* Developer Bar */
  --devbar-bg: #000000;
  --devbar-text: #6B7280;
  --devbar-link: #D4AF37;
}



/* === Tema Light === */
[data-theme="dark"] {
    /* Brand */
  --color-primary: #B8962E; /* Dourado refinado */
  --color-dark: #FFFFFF;
  --color-darker: #F3F4F6;
  --color-navy: #E5E7EB;

  /* Body */
  --body-bg: #FAF5E9;
  --body-text: #111827;
  --body-text-muted: #6B7280;

  /* Navbar */
  --navbar-bg: #FFFFFF;
  --navbar-text: #111827;
  --navbar-link-hover: #B8962E;
  --navbar-close:#FFFFFF;

  /* Cards */
  --card-bg: #F9FAFB;
  --card-border: #C9A24D;
  --card-title: #111827;
  --card-text: #6B7280;
  --card-accent: #B8962E;
  --card-bg-destaque:#FFFFFF;
  --card-text-destaque:#111827;
  
  /* Botões */
  --btn-whatsapp:#075E54;
  --btn-whatsapp-text:#E9EDEF;

  /* Newsletter */
  --newsletter-bg: #C9A24D;
  --newsletter-text: #F9FAFB;
  --newsletter-input-bg: #FFFFFF;
  --newsletter-btn-bg: #111827;
  --newsletter-btn-hover: #9F7E1F;

  /* Footer */
  --footer-bg: #F3F4F6;
  --footer-text: #6B7280;
  --footer-link: #111827;
  --footer-link-hover: #B8962E;

  /* Developer Bar */
  --devbar-bg: #E5E7EB;
  --devbar-text: #374151;
  --devbar-link: #C9A24D;
}

.navbar {
  background-color: var(--navbar-bg) !important;
}

.navbar .nav-link {
  color: var(--navbar-color) !important;
}

.navbar .nav-link:hover,
.navbar .nav-link.active {
  color: var(--navbar-hover-color) !important;
}

.hero {
  background: linear-gradient(270deg, var(--vermelho), #000000);
}

/* Desenvolvedor */
.dev-bar {
  background: var(--devbar-bg);
  color: var(--devbar-color);
  font-size: 0.875rem;
}

.dev-bar a {
  color: var(--devbar-link);
  text-decoration: none;
}

input, textarea, button {
  padding: 12px;
  border-radius: 8px;
  border: none;
}


